﻿using System.Collections.Generic;
using System.Windows;
using System.Xml;
using System.Xml.Serialization;
using Microsoft.Phone.Controls;

namespace DataOperations
{
	public partial class MainPage : PhoneApplicationPage
	{
		public MainPage()
		{
			InitializeComponent();
			Loaded += new RoutedEventHandler(MainPage_Loaded);			
		}

		void MainPage_Loaded(object sender, RoutedEventArgs e)
		{
			using (XmlReader xmlReader = XmlReader.Create("NetFlixTop50.xml"))
			{
				XmlSerializer deserializer = new XmlSerializer(typeof(List<Movie>));
				List<Movie> movies = deserializer.Deserialize(xmlReader) as List<Movie>;
				this.DataContext = movies;
			}
		}
	}
}